set heading off;
select distinct
    NAS.ID || ';' || --GATE_ID
    '1971-01-01 00:00:00' || ';' || --BEGIN_TIME;
    '2049-12-31 23:59:59' || ';' || --END_TIME
    NAS.NAME || ';' || --DESCRIPTION
    '7;' || --GATE_TYPE
    '3;' || --address_type_id
    '0;' || --address_type
    case 
        when (NAS.HOME_ID is not null) then 
            coalesce(H.zip_code,'') || ';' || 
            coalesce(H.country,'') || ';' || 
            coalesce(H.region,'') || ';' || 
            coalesce(H.district,'') || ';' || 
            coalesce(H.city,'') || ';' || 
            coalesce(H.street,'') || ';' ||  
            coalesce(H.s_number,'') || ';' ||  
            coalesce(H.s_liter,'')
        else 
            ';;;;;;;;;' 
    end || --struct-info
    /*else H.zip_code|| ';' || H.country || ';' || H.region || ';' ||H.district || ';' || H.city || ';' ||H.street || ';' ||H.s_number || ';' || H.s_liter || ';' || ';' ||*/
    ';;' || --unstruct-info
    ';'|| --SWITCH_SIGN
    cast(coalesce(operator_id,3) as varchar(32)) --REGION_ID
from 
    NAS
join 
    HOMES H 
    on NAS.HOME_ID=H.ID;

