set heading off;
select distinct
-- DESCRIPTION
ip_pull.NAME || ';' ||
-- ip_type
'0' || ';' ||
-- IPV4
uf_ip2hex(coalesce(ip_pull.network_address,0)) || ';' ||
-- IPV6
';' ||
-- ip_mask_type
'0' || ';' ||
-- IPV4_MASK
case 
    when coalesce(ip_pull.mask,24) = 0 then upper('00000000')
    when coalesce(ip_pull.mask,24) = 1 then upper('80000000')
    when coalesce(ip_pull.mask,24) = 2 then upper('c0000000')
    when coalesce(ip_pull.mask,24) = 3 then upper('e0000000')
    when coalesce(ip_pull.mask,24) = 4 then upper('f0000000')
    when coalesce(ip_pull.mask,24) = 5 then upper('f8000000')
    when coalesce(ip_pull.mask,24) = 6 then upper('fc000000')
    when coalesce(ip_pull.mask,24) = 7 then upper('fe000000')
    when coalesce(ip_pull.mask,24) = 8 then upper('ff000000')
    when coalesce(ip_pull.mask,24) = 9 then upper('ff800000')
    when coalesce(ip_pull.mask,24) = 10 then upper('ffc00000')
    when coalesce(ip_pull.mask,24) = 11 then upper('ffe00000')
    when coalesce(ip_pull.mask,24) = 12 then upper('fff00000')
    when coalesce(ip_pull.mask,24) = 13 then upper('fff80000')
    when coalesce(ip_pull.mask,24) = 14 then upper('fffc0000')
    when coalesce(ip_pull.mask,24) = 15 then upper('fffe0000')
    when coalesce(ip_pull.mask,24) = 16 then upper('ffff0000')
    when coalesce(ip_pull.mask,24) = 17 then upper('ffff8000')
    when coalesce(ip_pull.mask,24) = 18 then upper('ffffc000')
    when coalesce(ip_pull.mask,24) = 19 then upper('ffffe000')
    when coalesce(ip_pull.mask,24) = 20 then upper('fffff000')
    when coalesce(ip_pull.mask,24) = 21 then upper('fffff800')
    when coalesce(ip_pull.mask,24) = 22 then upper('fffffc00')
    when coalesce(ip_pull.mask,24) = 23 then upper('fffffe00')
    when coalesce(ip_pull.mask,24) = 24 then upper('ffffff00')
    when coalesce(ip_pull.mask,24) = 25 then upper('ffffff80')
    when coalesce(ip_pull.mask,24) = 26 then upper('ffffffc0')
    when coalesce(ip_pull.mask,24) = 27 then upper('ffffffe0')
    when coalesce(ip_pull.mask,24) = 28 then upper('fffffff0')
    when coalesce(ip_pull.mask,24) = 29 then upper('fffffff8')
    when coalesce(ip_pull.mask,24) = 30 then upper('fffffffc')
    when coalesce(ip_pull.mask,24) = 31 then upper('fffffffe')
    when coalesce(ip_pull.mask,24) = 32 then upper('ffffffff')
    else 'ffffff00'
end || ';' ||
-- IPV6_MASK
';' ||
'1971-01-01 00:00:00' || ';' || --BEGIN_TIME;
'2049-12-31 23:59:59' || ';' || --END_TIME
-- REGION_ID
cast(coalesce(ip_pull.operator_id,3) as varchar(32))

-- cast(cast(a.create_date as date) as varchar(32)) || ' 00:00:00'
from IP_PULL
where ip_pull.PULL_ID > 0;
