set heading off; select
    '86;' || -- PAYMENT_TYPE
    coalesce(case
TEXT_TO_REPLACE
    end,'-') || ';' || -- PAY_TYPE_ID
	cast(cast(fo.SYSTEM_DATE as date) as varchar(32)) || ' ' || lpad(cast(fo.SYSTEM_DATE as time),4) || ':00' || -- PAYMENT_DATE
    cast(fo.op_summa/10000000000.00 as varchar(40)) || ';' || -- AMOUNT
    a.sms || ';' || -- PHONE_NUMBER
    fo.account_id || ';' || -- ACCOUNT
    fo.abonent_id || ';' || -- INTERNAL_ID1
    fo.abonent_id || ';' || -- INTERNAL_ID2
    a.operator_id || '' -- REGION_ID
from
    finance_operations fo
join
    abonents a
    on fo.abonent_id = a.id
where
    fo.abonent_id is not null 
	and fo.op_type = 2 
	and fo.storno =  0 
	and a.deleted = 0 
	and	a.parent_id not in (244)
	and fo.SYSTEM_DATE>=dateadd(-1 hour to cast('now' as timestamp))
order by
    fo.op_date
;